Index: libticables/src/ticables.c
===================================================================
--- libticables/src/ticables.c	(revision 4347)
+++ libticables/src/ticables.c	(working copy)
@@ -39,6 +39,7 @@
 # include "./win32/usb.h"
 #elif defined(HAVE_LIBUSB)
 # include <usb.h>
+# include <libusb-1.0/libusb.h>
 #endif
 
 #include "gettext.h"
@@ -145,7 +146,8 @@
 #endif
 #if defined(HAVE_LIBUSB)
 	/* init the libusb */
-	usb_init();
+	//usb_init();
+	libusb_init(NULL);
 #endif
 
   	return (++ticables_instance);
@@ -162,6 +164,7 @@
 TIEXPORT1 int
 TICALL ticables_library_exit(void)
 {
+	libusb_exit(NULL);
   	return (--ticables_instance);
 }
 
Index: libticables/src/link_usb.c
===================================================================
--- libticables/src/link_usb.c	(revision 4347)
+++ libticables/src/link_usb.c	(working copy)
@@ -32,7 +32,7 @@
 #endif
 
 #ifdef HAVE_LIBUSB
-# include "linux/link_usb.c"
+# include "linux/link_usb1.c"
 #endif
 #ifdef HAVE_LINUX_TICABLE_H
 # include "linux/link_dev.c"
